mipstrans(1)

NAME

mipstrans - MIPS TDF Translator on IRIX

SYNOPSIS

mipstrans [options] infop.Gop.H [op.s]

DESCRIPTION

The code production portion of the TDF compiler is under the control of a TDF translator, which translates a TDF capsule,inf, into assembly files. There are separate TDF translators for each target architecture. This manual page describes the translators which produce MIPS code. There are two versions, one for IRIX, and one for ULTRIX. Both produce .G and .H files required by as1, but may also optionally give .s assembly files using -S. Note that full run-time diagnostic information cannot be transmitted through the MIPS assembler, as(1).

It is recommended that mipstrans is not invoked directly, but via the user interface tcc(1). The option -opt can be passed to mipstrans by passing the option -Wt,-opt to tcc(1).

OPTIONS

-Aswitch
    This option determines whether mipstrans should inline calls to alloca. This is done by default.

-Cswitch
    This option determines whether mipstrans should apply the "constants out of loops" optimisation. This optimisation is performed by default.

-Dswitch
    This option determines whether mipstrans should produce Position Independent Code (PIC). This is done by default in the IRIX version and not at all in the ULTRIX version.

-E  This option disables mipstrans&39;s constant overflow checks.

-Fswitch
    This option determines whether mipstrans should apply the "for all" optimisation. This is done by default.

-H  This option causes mipstrans to output debugging information in its output file. This will only work if the input TDF capsule contains debugging information. The diagnostic format used is as used by the native compilers.

-Iswitch
    This option determines whether mipstrans should apply the "inlining" optimisation. This optimisation is performed by default.

-Kstr
    Causes mipstrans to optimise its code for a particular processor model, determined by str. At present there are no valid values for str.

-Mswitch
    If this option is on, mipstrans preserves division by a floating point number rather than replacing it by multiplication by the reciprocal of the number. While the latter produces faster code, it may lead to rounding errors. By default, division by constants is preserved.

-P  This option causes mipstrans to output profiling information suitable for use with prof(1) or a similar tool (see individual manual pages for details). This option is untested at present, and should not be used.

-Q  This option causes mipstrans to quit before processing its input files. This is particularly useful in conjunction with -V.

-Rswitch
    This option determines whether mipstrans should immediately round every floating point operation to its appropriate range. This produces slower code, but is necessary for strict IEEE conformance. The default is not to round after every operation.

-S  This option will produce assembly code in the optional .s file.

-Uswitch
    This option determines whether mipstrans should apply the "loop unrolling" optimisation. This optimisation is performed by default.

-V  This option causes mipstrans to print its version number and the version of the TDF specification it supports.

-Wswitch
    This option determines whether mipstrans should make string literals writable. At present the C producer does not make use of this facility, so strings are writable.

-X  This option disables all optimisations. All mipstrans&39;s optimisations are believed to be valid, so that any error in optimisation is a genuine bug.

-Z  This option causes mipstrans to print the version number of all the TDF capsules it decodes.

-d  To be documented.

-e  To be documented.

-l  To be documented.

SEE ALSO

as(1), prof(1), tcc(1).